Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class NavigationItemRole
    Inherits BaseObject

    Private _ChoiceActionItemId As String
    Private _Role As Role
    Private _SubcontractorRoles As SubcontractorRoles
    Private _SupportRoles As SupportRoles

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <ImmediatePostData(True), DataSourceProperty("ChoiceActionItemId_DataSourceProperty")>
    Property ChoiceActionItemId As String
        Get
            Return _ChoiceActionItemId
        End Get
        Set(value As String)
            SetPropertyValue("ChoiceActionItemId", _ChoiceActionItemId, value)
        End Set
    End Property
    Property Role As Role
        Get
            Return _Role
        End Get
        Set(value As Role)
            SetPropertyValue("Role", _Role, value)
        End Set
    End Property
    Property SubcontractorRoles As SubcontractorRoles
        Get
            Return _SubcontractorRoles
        End Get
        Set(value As SubcontractorRoles)
            SetPropertyValue("SubcontractorRoles", _SubcontractorRoles, value)
        End Set
    End Property
    Property SupportRoles As SupportRoles
        Get
            Return _SupportRoles
        End Get
        Set(value As SupportRoles)
            SetPropertyValue("SupportRoles", _SupportRoles, value)
        End Set
    End Property
End Class
